<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.pratamatechnocraft.tokason"
    android:installLocation="preferExternal">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true">
        <activity android:name=".PasswordBaruActivity"></activity>
        <activity android:name=".VerifikasiActivity" />
        <activity android:name=".SyaratKetentuanActivity" />
        <activity android:name=".DaftarActivity" />
        <activity android:name=".LupaSandiActivity" />
        <activity android:name=".SplashScreen">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".LoginActivity"
            android:parentActivityName=".SplashScreen">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.SplashScreen" />
        </activity>
        <activity
            android:name=".MainActivity"
            android:parentActivityName=".SplashScreen">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.SplashScreen" />
        </activity>
        <activity
            android:name=".InvoiceActivity"
            android:label="Invoice"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".ZoomFotoProfile"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:parentActivityName=".MainActivity"
            android:theme="@style/FullscreenTheme">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".TransaksiBaruActivity"
            android:label="Transaksi Baru"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".FormUserActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".FormBiayaActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".DetailUserActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity android:name=".BarangTransaksiActivity" />
        <activity android:name=".PelangganTransaksiActivity" />
        <activity
            android:name=".DetailBarangActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".DetailBiayaActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".FormBarangActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".FormPelangganActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".DetailPelangganActivity"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity>
        <activity
            android:name=".ScannerBarcode"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity> <!-- make sure within the application tag, otherwise app will crash with XmlResourceParser errors -->
        <activity
            android:name=".BluetoothPrinter.ListDevice"
            android:label="@string/app_name"
            android:parentActivityName=".MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.pratamatechnocraft.tokason.MainActivity" />
        </activity> <!-- make sure within the application tag, otherwise app will crash with XmlResourceParser errors -->
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.pratamatechnocraft.tokason.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/fileprovider"
                tools:replace="android:resource" />
        </provider> <!-- Firebase Notifications -->
        <service android:name=".Service.MyFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
    </application>

</manifest>